Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.util
Class ColtUtil

    java.lang.Object
      calhoun.util.ColtUtil

    public class ColtUtil

extends java.lang.Object

Field Summary
`static cern.colt.function.DoubleFunction` | `exp`
`static cern.colt.function.DoubleFunction` | `ln`

Constructor Summary
`ColtUtil()`

Method Summary
`static double` | `dotProduct(double[] a, double[] b)`
`static void` | `exponentiate_real_matrix(cern.colt.matrix.DoubleMatrix2D X, cern.colt.matrix.DoubleMatrix2D Y, int degree)`
`static void` | `exponentiate_symmetric_matrix(cern.colt.matrix.DoubleMatrix2D X, cern.colt.matrix.DoubleMatrix2D Y)`
`static java.lang.String` | `format(double[] str)`
`static java.lang.String` | `format(cern.colt.matrix.DoubleMatrix2D mi)`
`static int` | `maxInColumn(double[] m, int numRows, int col)`
`static int` | `maxInColumn(cern.colt.matrix.DoubleMatrix2D m, int col)` Returns the row with the largest value in the given column
`static double` | `maxValueInColumn(double[] m, int numRows, int col)`
`static double` | `norm(double[] ar)`
`static void` | `print(double[] str, int numRows, int numCols)`
`static void` | `print(int[] str, int numRows, int numCols)`
`static void` | `printToFile(double[] str, int numRows, int numCols)`
`static void` | `scalarmultiply(cern.colt.matrix.DoubleMatrix2D S, double t)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exp

    public static final cern.colt.function.DoubleFunction exp

### ln

    public static final cern.colt.function.DoubleFunction ln

Constructor Detail

### ColtUtil

    public ColtUtil()

Method Detail

### exponentiate_real_matrix

    public static void exponentiate_real_matrix(cern.colt.matrix.DoubleMatrix2D X,
                                                cern.colt.matrix.DoubleMatrix2D Y,
                                                int degree)

### exponentiate_symmetric_matrix

    public static void exponentiate_symmetric_matrix(cern.colt.matrix.DoubleMatrix2D X,
                                                     cern.colt.matrix.DoubleMatrix2D Y)

### dotProduct

    public static double dotProduct(double[] a,
                                    double[] b)

### format

    public static java.lang.String format(double[] str)

### printToFile

    public static void printToFile(double[] str,
                                   int numRows,
                                   int numCols)

### print

    public static void print(double[] str,
                             int numRows,
                             int numCols)

### print

    public static void print(int[] str,
                             int numRows,
                             int numCols)

### norm

    public static double norm(double[] ar)

### format

    public static java.lang.String format(cern.colt.matrix.DoubleMatrix2D mi)

### maxInColumn

    public static int maxInColumn(cern.colt.matrix.DoubleMatrix2D m,
                                  int col)

  Returns the row with the largest value in the given column

### maxInColumn

    public static int maxInColumn(double[] m,
                                  int numRows,
                                  int col)

### maxValueInColumn

    public static double maxValueInColumn(double[] m,
                                          int numRows,
                                          int col)

### scalarmultiply

    public static void scalarmultiply(cern.colt.matrix.DoubleMatrix2D S,
                                      double t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD